// ------------------------ frequently asked question accordion functionality ------------------------
const dropdowns = document.querySelectorAll(".dropdown");
dropdowns.forEach((dropdown) => {
  dropdown.addEventListener("click", function () {
    const icon = this.querySelector(".icon");
    const content = this.nextElementSibling;
    // Toggle the rotation of the chevron icon
    icon.classList.toggle("rotate-180");
    // If the content is closed, open it with a smooth transition
    if (content.style.maxHeight) {
      content.style.maxHeight = null;
      content.style.opacity = "0";
    } else {
      content.style.maxHeight = content.scrollHeight + "px";
      content.style.opacity = "1";
    }
  });
});
